use actix_identity::Identity;
use actix_web::{Responder, HttpResponse, http::header::LOCATION};
use askama::Template;

#[derive(Template)]
#[template(path = "login.html")]
struct LoginTemplate {}

#[actix_web::get("/login")]
async fn route(user: Option<Identity>) -> impl Responder {
    if let Some(_) = user {
        return HttpResponse::PermanentRedirect()
            .insert_header((LOCATION, "/"))
            .finish();
    } else {
        let bla = LoginTemplate {};

        return HttpResponse::Ok().body(bla.render().unwrap());
    }
}
